MySQL++: mysqlpp::AutoFlag< T > Class Template Reference
mysqlpp::AutoFlag< T > Class Template Reference

A template for setting a flag on a variable as long as the object that set it is in scope. Flag resets when object goes out of scope. Works on anything that looks like bool. More...

`#include <autoflag.h>`

## Public Member Functions

| AutoFlag (T &ref)
| Constructor: sets ref to true.
| ~AutoFlag ()
| Destructor: sets referent passed to ctor to false.

## Detailed Description

### template<class T = bool>
class mysqlpp::AutoFlag< T >

A template for setting a flag on a variable as long as the object that set it is in scope. Flag resets when object goes out of scope. Works on anything that looks like bool.

The documentation for this class was generated from the following file:

- autoflag.h